Subject: Re: [Bitcoin-development] Why are we bleeding nodes?

From: Tamas Blummer <[email-masked]>
Date: Mon, 7 Apr 2014 21:20:31 +0200

Once headers are loaded first there is no reason for sequential loading. 

Validation has to be sequantial, but that step can be deferred until the blocks before a point are loaded and continous.

Tamas Blummer
http://bitsofproof.com

On 07.04.2014, at 21:03, Gregory Maxwell <[email-masked]> wrote:

> On Mon, Apr 7, 2014 at 12:00 PM, Tamas Blummer <[email-masked]> wrote:
>> therefore I guess it is more handy to return some bitmap of pruned/full
>> blocks than ranges.
> 
> A bitmap also means high overhead and— if it's used to advertise
> non-contiguous blocks— poor locality, since blocks are fetched
> sequentially.
>